<?php

// CLEANING STRINGS....
/* Create a string that contains SQL control characters... */
$string_i = "this 'string' is bad %%<>";
/* Escape that string using mysql_real_escape_string... */
$string_a = mysql_real_escape_string($string_i);
/* Escape that string using  addcslashes... */
$string_b = addcslashes($string_i, "\x00\n\r\'\x1a\x3c\x3e\x25");
echo "Strings:</br>$string_i</br>$string_a</br>$string_b</br>";

// CLEANING NUMBERS...
/* Create a string that contains a number... */
$number_i = "10 is not a number";
/* Convert that string to a number through implicit typing... */
$number_a = $number_i + 0;
/* Convert that string to a number by INTEGER extraction... */
$number_b = intval($number_i);
/* Convert that string to a number by FLOAT extraction... */
$number_c = floatval($number_i);
echo "Numbers:</br>$number_i</br>$number_a</br>" . 
		"$number_b</br>$number_c</br>";

// CLEANING BOOLEANS...
/* Create a string that contains a boolean... */
$bool_i = "true is as true as true is false";
/* Convert that string to a boolean through string parsing... */
$bool_a = stripos($bool_i, "true") >= 0;
echo 
	"Booleans:</br>" .
		"$bool_i <strong>is " . 
		($bool_i === true ?
			"true" : ($bool_i === false ?
				"false" : "invalid")
		) 
	. "</strong></br>" .
		"$bool_a <strong>is " . 
		($bool_a === true ?
			"true" : ($bool_a === false ?
				"false" : "invalid")
		) 
	. "</strong></br>";
	
/* prove boolean and integer interop */
$bool_one = true;
$bool_two = true;
echo "True + True = " . ($bool_one + $bool_two);

?>
